function doc_char_count()
	local utf8 = require "utf8"
	local doc_char = editor:GetText()
	output:SetText(utf8.len(doc_char))
end

function sel_char_count()
	local utf8 = require "utf8"
	local sel_char = editor:GetSelText()
	output:SetText(utf8.len(sel_char))
end

function doc_line_count()
	local doc_line = editor.LineCount
	output:SetText(doc_line)
end

function sel_line_count()
	local sel_line = editor:GetSelText()
	output:SetText(select(2, sel_line:gsub("\n", "\n")) + 1)
end